Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.Data/3.3/TextValue.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.Data/3.3/TextValue.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.Data/3.3/TextValue.cs	(revision 16736)
@@ -22,9 +22,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Data {
   [Item("TextValue", "Represents a multiline string.")]
-  [StorableClass]
+  [StorableType("136E9CD4-D340-44B1-A7CE-CF1A70D1C032")]
   public class TextValue : StringValue, ITextValue {
 
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected TextValue(bool deserializing) : base(deserializing) { }
+    protected TextValue(StorableConstructorFlag _) : base(_) { }
 
     protected TextValue(TextValue original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.ExactOptimization-3.3.csproj
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.ExactOptimization-3.3.csproj	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.ExactOptimization-3.3.csproj	(revision 16736)
@@ -114,4 +114,8 @@
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\bin\Google.OrTools.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HEAL.Attic.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.OrTools-7.0.0, Version=6.10.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
@@ -224,8 +228,4 @@
       <Name>HeuristicLab.Parameters-3.3</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
-      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
-      <Name>HeuristicLab.Persistence-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/LinearProgrammingAlgorithm.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/LinearProgrammingAlgorithm.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/LinearProgrammingAlgorithm.cs	(revision 16736)
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
@@ -35,5 +35,5 @@
     "See also https://dev.heuristiclab.com/trac.fcgi/wiki/Documentation/Reference/ExactOptimization")]
   [Creatable(CreatableAttribute.Categories.ExactAlgorithms)]
-  [StorableClass]
+  [StorableType("D6BAE020-6315-4C8A-928F-E47C67F3BE8F")]
   public sealed class LinearProgrammingAlgorithm : BasicAlgorithm {
 
@@ -157,7 +157,5 @@
 
     [StorableConstructor]
-    private LinearProgrammingAlgorithm(bool deserializing)
-      : base(deserializing) {
-    }
+    private LinearProgrammingAlgorithm(StorableConstructorFlag _) : base(_) { }
 
     private LinearProgrammingAlgorithm(LinearProgrammingAlgorithm original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalIncrementalLinearSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalIncrementalLinearSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalIncrementalLinearSolver.cs	(revision 16736)
@@ -24,9 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
-  [StorableClass]
+  [StorableType("CF3FC8B1-37DF-4A08-9DE5-AB578E1132DD")]
   public class ExternalIncrementalLinearSolver : IncrementalLinearSolver, IExternalLinearSolver {
     protected const string FileDialogFilter = "Dynamic-Link Library (*.dll)|*.dll|All Files (*.*)|*.*";
@@ -39,7 +39,5 @@
 
     [StorableConstructor]
-    protected ExternalIncrementalLinearSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected ExternalIncrementalLinearSolver(StorableConstructorFlag _) : base(_) { }
 
     protected ExternalIncrementalLinearSolver(ExternalIncrementalLinearSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalLinearSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalLinearSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/ExternalLinearSolver.cs	(revision 16736)
@@ -24,9 +24,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
-  [StorableClass]
+  [StorableType("612FCAEF-ABB9-48CC-9041-2B871B831C3C")]
   public class ExternalLinearSolver : LinearSolver, IExternalLinearSolver {
     protected const string FileDialogFilter = "Dynamic-Link Library (*.dll)|*.dll|All Files (*.*)|*.*";
@@ -39,7 +39,5 @@
 
     [StorableConstructor]
-    protected ExternalLinearSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected ExternalLinearSolver(StorableConstructorFlag _) : base(_) { }
 
     protected ExternalLinearSolver(ExternalLinearSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/IncrementalLinearSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/IncrementalLinearSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/IncrementalLinearSolver.cs	(revision 16736)
@@ -30,9 +30,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
-  [StorableClass]
+  [StorableType("8730ECDD-8F38-47C2-B0D9-2B1F38FC0A27")]
   public class IncrementalLinearSolver : LinearSolver, IIncrementalLinearSolver {
 
@@ -65,7 +65,5 @@
 
     [StorableConstructor]
-    protected IncrementalLinearSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected IncrementalLinearSolver(StorableConstructorFlag _) : base(_) { }
 
     protected IncrementalLinearSolver(IncrementalLinearSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/LinearSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/LinearSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/Base/LinearSolver.cs	(revision 16736)
@@ -32,9 +32,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
-  [StorableClass]
+  [StorableType("D0657902-BE8B-4826-B832-FDA84E9B24C3")]
   public class LinearSolver : ParameterizedNamedItem, ILinearSolver, IDisposable {
 
@@ -56,7 +56,5 @@
 
     [StorableConstructor]
-    protected LinearSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected LinearSolver(StorableConstructorFlag _) : base(_) { }
 
     protected LinearSolver(LinearSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/BopSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/BopSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/BopSolver.cs	(revision 16736)
@@ -26,10 +26,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("BOP", "BOP (https://developers.google.com/optimization/reference/bop/bop_solver/) can be used out of the box.")]
-  [StorableClass]
+  [StorableType("6AE85366-34FC-42C3-B1A3-BFC976CCE830")]
   public class BopSolver : IncrementalLinearSolver {
 
@@ -49,7 +49,5 @@
 
     [StorableConstructor]
-    protected BopSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected BopSolver(StorableConstructorFlag _) : base(_) { }
 
     protected override Solver.OptimizationProblemType OptimizationProblemType =>
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CoinOrSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CoinOrSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CoinOrSolver.cs	(revision 16736)
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("Clp/Cbc", "Clp (https://projects.coin-or.org/Clp) and Cbc (https://projects.coin-or.org/Cbc) can be used out of the box.")]
-  [StorableClass]
+  [StorableType("53148A15-C754-4CCA-AFAA-200916CDB7F5")]
   public class CoinOrSolver : IncrementalLinearSolver {
 
@@ -40,7 +40,5 @@
 
     [StorableConstructor]
-    protected CoinOrSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected CoinOrSolver(StorableConstructorFlag _) : base(_) { }
 
     public override bool SupportsPause => false;
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CplexSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CplexSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/CplexSolver.cs	(revision 16736)
@@ -26,10 +26,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("CPLEX", "CPLEX (https://www.ibm.com/analytics/cplex-optimizer) must be installed and licensed.")]
-  [StorableClass]
+  [StorableType("E3478254-F3A8-4085-A9DA-DB79D0A50347")]
   public class CplexSolver : ExternalIncrementalLinearSolver {
 
@@ -49,7 +49,5 @@
 
     [StorableConstructor]
-    protected CplexSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected CplexSolver(StorableConstructorFlag _) : base(_) { }
 
     protected CplexSolver(CplexSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlopSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlopSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlopSolver.cs	(revision 16736)
@@ -25,10 +25,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("Glop", "Glop (https://developers.google.com/optimization/lp/glop) can be used out of the box.")]
-  [StorableClass]
+  [StorableType("A05DA123-2779-4175-991E-C4790C5C2E00")]
   public class GlopSolver : IncrementalLinearSolver {
 
@@ -44,7 +44,5 @@
 
     [StorableConstructor]
-    protected GlopSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected GlopSolver(StorableConstructorFlag _) : base(_) { }
 
     protected GlopSolver(GlopSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlpkSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlpkSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GlpkSolver.cs	(revision 16736)
@@ -25,10 +25,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("GLPK", "GLPK (https://www.gnu.org/software/glpk/) can be used out of the box.")]
-  [StorableClass]
+  [StorableType("CD1F0577-D68A-483B-8811-17E04573B3F2")]
   public class GlpkSolver : ExternalLinearSolver {
 
@@ -44,7 +44,5 @@
 
     [StorableConstructor]
-    protected GlpkSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected GlpkSolver(StorableConstructorFlag _) : base(_) { }
 
     public override bool SupportsPause => false;
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GurobiSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GurobiSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/GurobiSolver.cs	(revision 16736)
@@ -26,10 +26,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("Gurobi", "Gurobi (http://www.gurobi.com/) must be installed and licensed.")]
-  [StorableClass]
+  [StorableType("2C567159-8C09-4B5F-BFF8-D72561686C6B")]
   public class GurobiSolver : ExternalIncrementalLinearSolver {
 
@@ -52,7 +52,5 @@
 
     [StorableConstructor]
-    protected GurobiSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected GurobiSolver(StorableConstructorFlag _) : base(_) { }
 
     protected override Solver.OptimizationProblemType OptimizationProblemType =>
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/ScipSolver.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/ScipSolver.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Algorithms/Solvers/ScipSolver.cs	(revision 16736)
@@ -28,10 +28,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("SCIP", "SCIP (http://scip.zib.de/) must be installed and licensed.")]
-  [StorableClass]
+  [StorableType("A4185E0D-25AE-48C4-8136-A764780683D5")]
   public class ScipSolver : ExternalIncrementalLinearSolver {
     private TimeSpan timeLimit = TimeSpan.Zero;
@@ -51,7 +51,5 @@
 
     [StorableConstructor]
-    protected ScipSolver(bool deserializing)
-      : base(deserializing) {
-    }
+    protected ScipSolver(StorableConstructorFlag _) : base(_) { }
 
     protected ScipSolver(ScipSolver original, Cloner cloner)
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/FileBasedLinearProblemDefinition.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/FileBasedLinearProblemDefinition.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/FileBasedLinearProblemDefinition.cs	(revision 16736)
@@ -29,10 +29,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("Linear Problem Definition File (MPS, OR-Tools Protocol Buffers Files)", "File that defines the model for linear/mixed integer programming problem.")]
-  [StorableClass]
+  [StorableType("8779D26D-37DB-4595-A4E9-C7F29B870802")]
   public sealed class FileBasedLinearProblemDefinition : ParameterizedNamedItem, ILinearProblemDefinition {
 
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    private FileBasedLinearProblemDefinition(bool deserializing) : base(deserializing) { }
+    private FileBasedLinearProblemDefinition(StorableConstructorFlag _) : base(_) { }
 
     public new static Image StaticItemImage => VSImageLibrary.File;
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/LinearProblem.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/LinearProblem.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/LinearProblem.cs	(revision 16736)
@@ -31,10 +31,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
 
   [Item("Mixed-Integer Linear Programming Problem (LP, MIP)", "Represents a linear/mixed integer problem.")]
-  [StorableClass]
+  [StorableType("0F6BD4A4-8C70-4922-9BA1-1F372820DD76")]
   public sealed class LinearProblem : Problem, IStorableContent {
 
@@ -54,6 +54,5 @@
 
     [StorableConstructor]
-    private LinearProblem(bool deserializing) : base(deserializing) {
-    }
+    private LinearProblem(StorableConstructorFlag _) : base(_) { }
 
     public event EventHandler ProblemDefinitionChanged;
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/ProgrammableLinearProblemDefinition.cs
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/ProgrammableLinearProblemDefinition.cs	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/LinearProgramming/Problems/ProgrammableLinearProblemDefinition.cs	(revision 16736)
@@ -28,7 +28,7 @@
 using HeuristicLab.ExactOptimization.LinearProgramming.Templates;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.Programmable;
 using HeuristicLab.Scripting;
+using HEAL.Attic;
 
 namespace HeuristicLab.ExactOptimization.LinearProgramming {
@@ -36,5 +36,5 @@
   [Item("Programmable Linear Problem Definition (LP, MIP)",
     "Script that defines the model for a linear/mixed integer programming problem.")]
-  [StorableClass]
+  [StorableType("830F82CF-9FF1-4619-A75E-E43E208565F0")]
   public sealed class ProgrammableLinearProblemDefinition : Script, ILinearProblemDefinition,
     IStorableContent {
@@ -56,6 +56,5 @@
 
     [StorableConstructor]
-    private ProgrammableLinearProblemDefinition(bool deserializing) : base(deserializing) {
-    }
+    private ProgrammableLinearProblemDefinition(StorableConstructorFlag _) : base(_) { }
 
     private ProgrammableLinearProblemDefinition(ProgrammableLinearProblemDefinition original,
Index: /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/Plugin.cs.frame
===================================================================
--- /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/Plugin.cs.frame	(revision 16735)
+++ /branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/Plugin.cs.frame	(revision 16736)
@@ -28,4 +28,5 @@
   [PluginFile("HeuristicLab.ExactOptimization-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
@@ -36,5 +37,4 @@
   [PluginDependency("HeuristicLab.OrTools", "7.0")]
   [PluginDependency("HeuristicLab.Parameters", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   [PluginDependency("HeuristicLab.Problems.Programmable", "3.3")]
   [PluginDependency("HeuristicLab.Scripting", "3.3")]
Index: /branches/2981_MRCPSP/MRCPSP.sln
===================================================================
--- /branches/2981_MRCPSP/MRCPSP.sln	(revision 16736)
+++ /branches/2981_MRCPSP/MRCPSP.sln	(revision 16736)
@@ -0,0 +1,38 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 15
+VisualStudioVersion = 15.0.28307.168
+MinimumVisualStudioVersion = 10.0.40219.1
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problem.Scheduling.MRCPSP-3.3", "HeuristicLab.Problem.Scheduling.MRCPSP\3.3\HeuristicLab.Problem.Scheduling.MRCPSP-3.3.csproj", "{CCD920DC-6058-440B-A0A3-1527984AABD3}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{2A48FA5A-ED62-485B-B918-2A6A5AE12D5D}"
+	ProjectSection(SolutionItems) = preProject
+		..\..\trunk\.editorconfig = ..\..\trunk\.editorconfig
+		PreBuildEvent.cmd = PreBuildEvent.cmd
+		PreBuildEvent.sh = PreBuildEvent.sh
+	EndProjectSection
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UnitTestProject", "UnitTestProject\UnitTestProject.csproj", "{717869DF-EEE7-4CB7-AE7E-80769C32C180}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Release|Any CPU = Release|Any CPU
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{CCD920DC-6058-440B-A0A3-1527984AABD3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CCD920DC-6058-440B-A0A3-1527984AABD3}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CCD920DC-6058-440B-A0A3-1527984AABD3}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{CCD920DC-6058-440B-A0A3-1527984AABD3}.Release|Any CPU.Build.0 = Release|Any CPU
+		{717869DF-EEE7-4CB7-AE7E-80769C32C180}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{717869DF-EEE7-4CB7-AE7E-80769C32C180}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{717869DF-EEE7-4CB7-AE7E-80769C32C180}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{717869DF-EEE7-4CB7-AE7E-80769C32C180}.Release|Any CPU.Build.0 = Release|Any CPU
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+	GlobalSection(ExtensibilityGlobals) = postSolution
+		SolutionGuid = {E6F2BF9A-BF7F-43D1-94ED-C94DDFCBEBB5}
+	EndGlobalSection
+EndGlobal