Index: /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSolutionsOperator.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSolutionsOperator.cs	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/Interfaces/IRealVectorSolutionsOperator.cs	(revision 16749)
@@ -24,5 +24,5 @@
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   public interface IRealVectorSolutionsOperator : IRealVectorOperator {
-    IScopeTreeLookupParameter<RealVector> RealVectorsParameter { get; }
+    IScopeTreeLookupParameter<RealVector> RealVectorParameter { get; }
   }
 }
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs	(revision 16749)
@@ -56,5 +56,5 @@
       get { return (IScopeTreeLookupParameter<DoubleValue>)Parameters["NeighborBestQuality"]; }
     }
-    public IScopeTreeLookupParameter<RealVector> RealVectorsParameter {
+    public IScopeTreeLookupParameter<RealVector> RealVectorParameter {
       get { return (IScopeTreeLookupParameter<RealVector>)Parameters["RealVectors"]; }
     }
@@ -134,5 +134,5 @@
     }
     private ItemArray<RealVector> RealVectors {
-      get { return RealVectorsParameter.ActualValue; }
+      get { return RealVectorParameter.ActualValue; }
     }
     private ItemArray<RealVector> PersonalBest {
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs	(revision 16749)
@@ -55,6 +55,6 @@
       get { return (IScopeTreeLookupParameter<DoubleValue>)Parameters["NeighborBestQuality"]; }
     }
-    public IScopeTreeLookupParameter<RealVector> RealVectorsParameter {
-      get { return (IScopeTreeLookupParameter<RealVector>)Parameters["RealVectors"]; }
+    public IScopeTreeLookupParameter<RealVector> RealVectorParameter {
+      get { return (IScopeTreeLookupParameter<RealVector>)Parameters["RealVector"]; }
     }
     public IScopeTreeLookupParameter<RealVector> PersonalBestParameter {
@@ -169,5 +169,5 @@
       var max = MaximizationParameter.ActualValue.Value;
       // Update of the personal bests
-      var points = RealVectorsParameter.ActualValue;
+      var points = RealVectorParameter.ActualValue;
       var qualities = QualityParameter.ActualValue;
       var particles = points.Select((p, i) => new { Particle = p, Index = i })
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorEncoding.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorEncoding.cs	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVectorEncoding.cs	(revision 16749)
@@ -307,5 +307,5 @@
     private void ConfigureRealVectorSolutionsOperators(IEnumerable<IRealVectorSolutionsOperator> solutionsOperators) {
       foreach (var solutionsOperator in solutionsOperators)
-        solutionsOperator.RealVectorsParameter.ActualName = Name;
+        solutionsOperator.RealVectorParameter.ActualName = Name;
     }
     private void ConfigureRealVectorBoundedOperators(IEnumerable<IRealVectorBoundedOperator> boundedOperators) {
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable/3.3/Plugin.cs.frame
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable/3.3/Plugin.cs.frame	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable/3.3/Plugin.cs.frame	(revision 16749)
@@ -36,5 +36,5 @@
   [PluginDependency("HeuristicLab.Encodings.PermutationEncoding", "3.3")]
   [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
-  [PluginDependency("HeuristicLab.Encodings.LinearLinkageEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.LinearLinkageEncoding", "3.4")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Parameters", "3.3")]
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 16748)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 16749)
@@ -44,5 +44,5 @@
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
     }
-    public IScopeTreeLookupParameter<RealVector> RealVectorsParameter {
+    public IScopeTreeLookupParameter<RealVector> RealVectorParameter {
       get { return (IScopeTreeLookupParameter<RealVector>)Parameters["RealVectors"]; }
     }
@@ -85,5 +85,5 @@
 
       MaximizationParameter.Hidden = true;
-      RealVectorsParameter.Hidden = true;
+      RealVectorParameter.Hidden = true;
       QualityParameter.Hidden = true;
       BestSolutionParameter.Hidden = true;
@@ -100,5 +100,5 @@
 
     public override IOperation Apply() {
-      ItemArray<RealVector> realVectors = RealVectorsParameter.ActualValue;
+      ItemArray<RealVector> realVectors = RealVectorParameter.ActualValue;
       ItemArray<DoubleValue> qualities = QualityParameter.ActualValue;
       bool max = MaximizationParameter.ActualValue.Value;