Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj	(revision 16723)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/HeuristicLab.Problems.Programmable.Views-3.3.csproj	(revision 16750)
@@ -94,9 +94,9 @@
       <DependentUpon>ProblemDefinitionScriptView.cs</DependentUpon>
     </Compile>
-    <Compile Include="SingleObjectiveProgrammableProblemView.cs">
+    <Compile Include="ProgrammableProblemView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="SingleObjectiveProgrammableProblemView.Designer.cs">
-      <DependentUpon>SingleObjectiveProgrammableProblemView.cs</DependentUpon>
+    <Compile Include="ProgrammableProblemView.Designer.cs">
+      <DependentUpon>ProgrammableProblemView.cs</DependentUpon>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.Designer.cs	(revision 16750)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.Designer.cs	(revision 16750)
@@ -0,0 +1,62 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  partial class ProgrammableProblemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // ProgrammableProblemView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "ProgrammableProblemView";
+      this.Size = new System.Drawing.Size(626, 413);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+  }
+}
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.cs	(revision 16750)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/ProgrammableProblemView.cs	(revision 16750)
@@ -0,0 +1,69 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Problems.Programmable.Views {
+  [View("Programmable Problem View")]
+  [Content(typeof(IProgrammableProblem), true)]
+  public partial class ProgrammableProblemView : ItemView {
+    protected ViewHost ScriptView;
+
+    public new IProgrammableProblem Content {
+      get { return (IProgrammableProblem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public ProgrammableProblemView() {
+      InitializeComponent();
+      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
+      Controls.Add(ScriptView);
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        ScriptView.Content = null;
+      } else {
+        ScriptView.Content = Content.ProblemScript;
+        Caption = Content.Name;
+      }
+    }
+
+    protected override void RegisterContentEvents() {
+      Content.NameChanged += ContentOnNameChanged;
+      base.RegisterContentEvents();
+    }
+
+    protected override void DeregisterContentEvents() {
+      base.DeregisterContentEvents();
+      Content.NameChanged -= ContentOnNameChanged;
+    }
+
+    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
+      Caption = Content.Name;
+    }
+  }
+}
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.Designer.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.Designer.cs	(revision 16723)
+++ 	(revision )
@@ -1,62 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  partial class SingleObjectiveProgrammableProblemView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // ProgrammableProblemView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "ProgrammableProblemView";
-      this.Size = new System.Drawing.Size(626, 413);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-  }
-}
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.Programmable.Views/3.3/SingleObjectiveProgrammableProblemView.cs	(revision 16723)
+++ 	(revision )
@@ -1,75 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Windows.Forms;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-
-namespace HeuristicLab.Problems.Programmable.Views {
-  [View("Single-Objective Scriptable Problem View")]
-  [Content(typeof(IProgrammableProblem), true)]
-  public partial class SingleObjectiveProgrammableProblemView : ItemView {
-    protected ViewHost ScriptView;
-
-    public new IProgrammableProblem Content {
-      get { return (IProgrammableProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public SingleObjectiveProgrammableProblemView() {
-      InitializeComponent();
-      ScriptView = new ViewHost() { ViewsLabelVisible = false, Dock = DockStyle.Fill };
-      Controls.Add(ScriptView);
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content == null) {
-        ScriptView.Content = null;
-      } else {
-        ScriptView.Content = Content.ProblemScript;
-        Caption = Content.Name;
-      }
-    }
-
-    protected override void RegisterContentEvents() {
-      //Content.ProblemDefinitionParameter.ValueChanged += ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged += ContentOnNameChanged;
-      base.RegisterContentEvents();
-    }
-
-    protected override void DeregisterContentEvents() {
-      base.DeregisterContentEvents();
-      //Content.ProblemDefinitionParameter.ValueChanged -= ProblemDefinitionParameterOnValueChanged;
-      Content.NameChanged -= ContentOnNameChanged;
-    }
-
-    //private void ProblemDefinitionParameterOnValueChanged(object sender, EventArgs eventArgs) {
-    //  DefinitionView.Content = Content.ProblemDefinitionParameter.Value;
-    //}
-
-    private void ContentOnNameChanged(object sender, EventArgs eventArgs) {
-      Caption = Content.Name;
-    }
-  }
-}