Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintConstOptEvaluator.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintConstOptEvaluator.cs	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintConstOptEvaluator.cs	(revision 16756)
@@ -59,5 +59,6 @@
       OnlineCalculatorError errorState = OnlineCalculatorError.None;
 
-      var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Value);
+      //var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Value);
+      var constraints = ((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Constraints;
       var intervalInterpreter = new IntervalInterpreter();
       var variableRanges = ((RegressionProblemData)problemData).VariableRangesParameter.Value.VariableIntervals;
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintPearsonRSquaredEvaluator.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintPearsonRSquaredEvaluator.cs	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/Evaluators/SymbolicRegressionSingleObjectiveConstraintPearsonRSquaredEvaluator.cs	(revision 16756)
@@ -59,5 +59,6 @@
       OnlineCalculatorError errorState = OnlineCalculatorError.None;
 
-      var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Value);
+      //var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Value);
+      var constraints = ((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Constraints;
       var intervalInterpreter = new IntervalInterpreter();
       var variableRanges = ((RegressionProblemData)problemData).VariableRangesParameter.Value.VariableIntervals;
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/SymbolicRegressionConstraintAnalyzer.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/SymbolicRegressionConstraintAnalyzer.cs	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Symbolic.Regression/3.4/SingleObjective/SymbolicRegressionConstraintAnalyzer.cs	(revision 16756)
@@ -87,5 +87,6 @@
     static Dictionary<IntervalConstraint, bool> CheckConstraints(ISymbolicExpressionTree model,
       IRegressionProblemData problemData) {
-      var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraints.Value);
+      //var constraints = IntervalConstraintsParser.Parse(((RegressionProblemData)problemData).IntervalConstraints.Value);
+      var constraints = ((RegressionProblemData)problemData).IntervalConstraintsParameter.Value.Constraints;
       var constraintViolations = new Dictionary<IntervalConstraint, bool>();
       var variableRanges = ((RegressionProblemData)problemData).VariableRanges.VariableIntervals;
@@ -147,5 +148,6 @@
       var constraintViolations = new Dictionary<string, int>();
 
-      var constraints = IntervalConstraintsParser.Parse(problemData.IntervalConstraints.Value);
+      //var constraints = IntervalConstraintsParser.Parse(problemData.IntervalConstraints.Value);
+      var constraints = problemData.IntervalConstraintsParameter.Value.Constraints;
 
       if (dataTable.Rows.Count == 0) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16756)
@@ -321,4 +321,10 @@
       <DependentUpon>ModifiableDatasetView.cs</DependentUpon>
     </Compile>
+    <Compile Include="ParsedConstraintView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ParsedConstraintView.designer.cs">
+      <DependentUpon>ParsedConstraintView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="ProblemDataView.cs">
@@ -612,4 +618,7 @@
     <EmbeddedResource Include="FeatureCorrelation\AbstractFeatureCorrelationView.resx">
       <DependentUpon>AbstractFeatureCorrelationView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ParsedConstraintView.resx">
+      <DependentUpon>ParsedConstraintView.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Regression\NamedIntervalsView.resx">
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16756)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16756)
@@ -0,0 +1,66 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
+  [View("ParsedConstraint View")]
+  [Content(typeof(ParsedConstraint), true)]
+  public partial class ParsedConstraintView : AsynchronousContentView {
+
+    public new ParsedConstraint Content {
+      get => (ParsedConstraint)base.Content;
+      set => base.Content = value;
+    }
+    public ParsedConstraintView() {
+      InitializeComponent();
+      constraintsOutput.ReadOnly = true;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        constraintsInput.Text = string.Empty;
+        constraintsOutput.Text = string.Empty;
+      } else { 
+        constraintsInput.Text = Content.Input;
+        constraintsOutput.Text = ConstraintsOutput(Content.Constraints ?? new List<IntervalConstraint>());
+      }
+    }
+
+    private IEnumerable<IntervalConstraint> ParseConstraints(string input) {
+      var parsedIntervals = IntervalConstraintsParser.Parse(input);
+      return parsedIntervals;
+    }
+
+    private string ConstraintsOutput(IEnumerable<IntervalConstraint> constraints) {
+      var result = "";
+      var count = 1;
+      foreach (var constraint in constraints) {
+        result += "Constraint #" + count + ": " + Environment.NewLine;
+        result += constraint.Expression + Environment.NewLine + Environment.NewLine;
+        count++;
+      }
+
+      return result;
+    }
+
+    private void parseBtn_Click(object sender, EventArgs e) {
+      if (constraintsInput.Text != null) {
+        var constraints = ParseConstraints(constraintsInput.Text);
+        constraintsOutput.Text = ConstraintsOutput(constraints);
+        Content.Constraints = constraints;
+        Content.Input = constraintsInput.Text;
+      } else { 
+        constraintsOutput.Text = "No Constraints found!";
+      }
+    }
+  }
+}
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.designer.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.designer.cs	(revision 16756)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.designer.cs	(revision 16756)
@@ -0,0 +1,106 @@
+﻿namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
+  partial class ParsedConstraintView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.parseBtn = new System.Windows.Forms.Button();
+      this.constraintsOutput = new System.Windows.Forms.TextBox();
+      this.constraintsInput = new System.Windows.Forms.TextBox();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
+      this.splitContainer1.Panel1.SuspendLayout();
+      this.splitContainer1.Panel2.SuspendLayout();
+      this.splitContainer1.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // splitContainer1
+      // 
+      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer1.Name = "splitContainer1";
+      this.splitContainer1.Orientation = System.Windows.Forms.Orientation.Horizontal;
+      // 
+      // splitContainer1.Panel1
+      // 
+      this.splitContainer1.Panel1.Controls.Add(this.constraintsInput);
+      this.splitContainer1.Panel1.Controls.Add(this.constraintsOutput);
+      // 
+      // splitContainer1.Panel2
+      // 
+      this.splitContainer1.Panel2.Controls.Add(this.parseBtn);
+      this.splitContainer1.Size = new System.Drawing.Size(517, 386);
+      this.splitContainer1.SplitterDistance = 347;
+      this.splitContainer1.TabIndex = 0;
+      // 
+      // parseBtn
+      // 
+      this.parseBtn.Location = new System.Drawing.Point(3, 3);
+      this.parseBtn.Name = "parseBtn";
+      this.parseBtn.Size = new System.Drawing.Size(75, 23);
+      this.parseBtn.TabIndex = 0;
+      this.parseBtn.Text = "Parse";
+      this.parseBtn.UseVisualStyleBackColor = true;
+      this.parseBtn.Click += new System.EventHandler(this.parseBtn_Click);
+      // 
+      // constraintsOutput
+      // 
+      this.constraintsOutput.Dock = System.Windows.Forms.DockStyle.Right;
+      this.constraintsOutput.Location = new System.Drawing.Point(276, 0);
+      this.constraintsOutput.Multiline = true;
+      this.constraintsOutput.Name = "constraintsOutput";
+      this.constraintsOutput.Size = new System.Drawing.Size(241, 347);
+      this.constraintsOutput.TabIndex = 0;
+      // 
+      // constraintsInput
+      // 
+      this.constraintsInput.Dock = System.Windows.Forms.DockStyle.Left;
+      this.constraintsInput.Location = new System.Drawing.Point(0, 0);
+      this.constraintsInput.Multiline = true;
+      this.constraintsInput.Name = "constraintsInput";
+      this.constraintsInput.Size = new System.Drawing.Size(241, 347);
+      this.constraintsInput.TabIndex = 1;
+      // 
+      // ParsedConstraintView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.splitContainer1);
+      this.Name = "ParsedConstraintView";
+      this.Size = new System.Drawing.Size(517, 386);
+      this.splitContainer1.Panel1.ResumeLayout(false);
+      this.splitContainer1.Panel1.PerformLayout();
+      this.splitContainer1.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
+      this.splitContainer1.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.SplitContainer splitContainer1;
+    private System.Windows.Forms.Button parseBtn;
+    private System.Windows.Forms.TextBox constraintsInput;
+    private System.Windows.Forms.TextBox constraintsOutput;
+  }
+}
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.resx
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.resx	(revision 16756)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.resx	(revision 16756)
@@ -0,0 +1,120 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/HeuristicLab.Problems.DataAnalysis-3.4.csproj
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/HeuristicLab.Problems.DataAnalysis-3.4.csproj	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/HeuristicLab.Problems.DataAnalysis-3.4.csproj	(revision 16756)
@@ -301,4 +301,5 @@
     <Compile Include="OnlineCalculators\OnlineTheilsUStatisticCalculator.cs" />
     <Compile Include="OnlineCalculators\OnlineWeightedDirectionalSymmetryCalculator.cs" />
+    <Compile Include="ParsedConstraint.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Implementation\Classification\ThresholdCalculators\AccuracyMaximizationThresholdCalculator.cs" />
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 16755)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 16756)
@@ -95,5 +95,5 @@
       problemData.Parameters.Add(new ConstrainedValueParameter<StringValue>(TargetVariableParameterName, new ItemSet<StringValue>()));
       problemData.Parameters.Add(new FixedValueParameter<NamedIntervals>(VariableRangesParameterName, "", new NamedIntervals()));
-      problemData.Parameters.Add(new FixedValueParameter<TextValue>(IntervalConstraintsParameterName, "", new TextValue()));
+      problemData.Parameters.Add(new FixedValueParameter<ParsedConstraint>(IntervalConstraintsParameterName, "", new ParsedConstraint()));
       emptyProblemData = problemData;
     }
@@ -108,6 +108,6 @@
     public NamedIntervals VariableRanges => VariableRangesParameter.Value;
 
-    public IFixedValueParameter<TextValue> IntervalConstraintsParameter => (IFixedValueParameter<TextValue>)Parameters[IntervalConstraintsParameterName];
-    public TextValue IntervalConstraints => IntervalConstraintsParameter.Value;
+    public IFixedValueParameter<ParsedConstraint> IntervalConstraintsParameter => (IFixedValueParameter<ParsedConstraint>)Parameters[IntervalConstraintsParameterName];
+    public ParsedConstraint IntervalConstraints => IntervalConstraintsParameter.Value;
 
     public string TargetVariable {
@@ -192,5 +192,5 @@
 
       Parameters.Add(new FixedValueParameter<NamedIntervals>(VariableRangesParameterName, namedIntervals));
-      Parameters.Add(new FixedValueParameter<TextValue>(IntervalConstraintsParameterName, new TextValue(commentMessage)));
+      Parameters.Add(new FixedValueParameter<ParsedConstraint>(IntervalConstraintsParameterName, new ParsedConstraint()));
       RegisterParameterEvents();
     }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs	(revision 16756)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/ParsedConstraint.cs	(revision 16756)
@@ -0,0 +1,46 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Dynamic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+
+namespace HeuristicLab.Problems.DataAnalysis {
+  [Item("ParsedConstraint", "Represents parsed constraints.")]
+  public class ParsedConstraint : Item {
+
+    protected string input;
+    public string Input {
+      get => input;
+      set => input = value;
+    }
+
+    protected IEnumerable<IntervalConstraint> constraints;
+
+    public IEnumerable<IntervalConstraint> Constraints {
+      get => constraints;
+      set => constraints = value;
+    }
+
+    protected ParsedConstraint(ParsedConstraint original, Cloner cloner)
+      : base(original, cloner) {
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new ParsedConstraint(this, cloner);
+    }
+
+    public ParsedConstraint() {
+      this.input = string.Empty;
+      this.constraints = new List<IntervalConstraint>();
+    }
+
+    public ParsedConstraint(string input, IEnumerable<IntervalConstraint> constraints) {
+      this.input = input;
+      this.constraints = constraints;
+    }
+  }
+}